#ifndef ID3V1_H
#define ID3V1_H

typedef struct {
  char  title[30+1];
  char  artist[30+1];
  char  album[30+1];
  char  year[4+1];
  char  comment[30+1];
  char  track;
  char  genre;
} ID3v1Tag;

extern  const char* ID3v1_GetGenreString(int genre);
extern  int         ID3v1_ReadTag(FILE *f, ID3v1Tag *tag);


#endif